PTHREAD_YIELD(3)

NAME
pthread_yield - yield control of the current thread

SYNOPSIS
libpthread
#include <pthread.h>
void
pthread_yield(void);

DESCRIPTION
The pthread_yield() function resets the accumulated time slice of the current thread and then enters the thread scheduler, which resumes execution of the next thread ready to run. If no other thread is ready to run, control returns to the current thread.

SEE ALSO
pthreads(3)

STANDARDS
pthread_yield() is a non-portable (but quite common) extension to p1003.1-2001.